""" Simple Hotfix

Idea is to add a new tab, Refresh, to External Method management screens.

"""

from Products.ExternalMethod.ExternalMethod import ExternalMethod
import AccessControl.Role
import OFS.SimpleItem
from Globals import DTMLFile, MessageDialog, HTML
import Globals

is_refreshing=0

manage_refreshForm=DTMLFile('methodRefresh', globals())
	
		
	
	
def manage_saveRefresh(self, foo, REQUEST=None):
	""" Commit changes. """
	self.is_refreshing=int(foo)
	if REQUEST:
			message="Refresh set to %d" % self.is_refreshing
			return self.manage_refreshForm(self,REQUEST,manage_tabs_message=message)

ExternalMethod.is_refreshing=is_refreshing	
ExternalMethod.manage_refreshForm=manage_refreshForm
ExternalMethod.manage_saveRefresh=manage_saveRefresh




ExternalMethod.manage_options=(
        (
        {'label':'Properties', 'action':'manage_main',
         'help':('ExternalMethod','External-Method_Properties.stx')},
        {'label':'Test', 'action':'',
         'help':('ExternalMethod','External-Method_Try-It.stx')},
         {"label": "Refresh", "action": "manage_refreshForm",}
        )
        +OFS.SimpleItem.Item.manage_options
        +AccessControl.Role.RoleManager.manage_options
        )